Bug 1105160 - [GSS] (6.3.x) High CPU in concurrent access to the JSSESupport keySizeCache map
Summary: [GSS] (6.3.x) High CPU in concurrent access to the JSSESupport keySizeCache map
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER9
: EAP 6.3.0
Assignee: Aaron Ogburn
QA Contact: Michal Karm Babacek
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On: 1104206
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-05 13:43 UTC by Aaron Ogburn
Modified: 2018-12-06 16:45 UTC (History)
3 users (show)

(edit)
The keySizeCache in JSSESupport was not properly synchronized in previous releases of JBoss EAP 6.

This meant concurrent access to the JSSESupport keySizeCache could result in high CPU hash map loops.

In this release of the product, access to the keySizeCache in JSSESupport is now synchronized and concurrent access to the keySizeCache does not occur.
Clone Of:
(edit)
Last Closed: 2014-08-06 14:36:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBWEB-300 Major Open High CPU in concurrent access to the JSSESupport keySizeCache map 2017-01-18 22:10 UTC

Description Aaron Ogburn 2014-06-05 13:43:13 UTC
The keySizeCache map in JSSESupport isn't protected from concurrent access and so can cause high CPU loops. The complete fix from the tomcat bug that had this map access synchronized wasn't used:

https://issues.apache.org/bugzilla/show_bug.cgi?id=47744

Comment 1 Aaron Ogburn 2014-06-05 13:44:19 UTC
Fixed by the JBossWeb 7.4.5 component upgrade

Comment 2 Michal Karm Babacek 2014-07-11 19:48:30 UTC
I'm not sure I managed to reproduce it reliably, but the cache size is synchronized properly in the code, accordingly to the upstream tomcat patch. Switching to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.